<?php

namespace App\Modules\Bookings;

use Illuminate\Support\Facades\View;
use App\Models\User;
use App\Models\Severity;
use Illuminate\Support\Facades\Redirect;
use App\Models\Status;
use App\Http\Controllers\BaseController;

class ProjectsController extends BaseController
{
    /**
     *	The layout that should be used for responses.
     */
    protected $layout = 'layouts.master';

    /**
     *	Returns the index page.
     */
    public function getIndex($id = 0)
    {
        if (! $id) {
            return Redirect::to('/');
        }

        $project = Project::find($id);
        
        // If project doesn't exist, redirect to dashboard
        if (! $project) {
            return Redirect::to('/');
        }

        $severities = [];
        foreach (Severity::all() as $severity) {
            $severities[$severity->id] = $severity->name;
        }

        $data = [
            'users'      => User::with('profile_photo')->get(),
            'severities' => $severities,
            'statuses'   => Status::project()->get(),
            'project'    => $project,
        ];

        $this->layout->content = View::make('bookings::projects.index', $data);
    }
}
